5.1 to 5.2 documentation contains odd instructions referencing @@plone-upgrade

The documentation for upgrading from Plone 5.1 to Plone 5.2 begins as follows:

This upgrade is different from previous upgrades because Plone 5.2 supports Python 2 and Python 3. The upgrade to 5.2 needs to be done in Python 2.7 and is not different that previous migrations. To run the upgrade to 5.2, follow the links on top of the control panel or the ZMI to the form /@@plone-upgrade .

There is no such link at the top of the control panel, but if I manually go to the /@@plone-upgrade URL, I just get a page telling my that Plone is up to date.

I've upgraded sites following the steps provided for general version 5.x.x upgrades (uncommenting and editing the version.cfg and links lines in buildout.cfg and running buildout), but since there was a page specifically about the 5.1 to 5.2 upgrade, I figured I'd read it. It doesn't mention using buildout anywhere, and just gives the instruction to use the form above.

Is there a way to perform version upgrades using that form? If so, how, and is it the preferred method?

1 Like

Plone Foundation Code of Conduct